<?php 
//*************************************************************************************// 
//   Script para enviar email autenticado via SMTP (Simple Mail Transfer Protocol)     // 
//   Autor: Prof. Carlos Sica <www.din.uem.br/sica> (Maring - PR - Brasil)            // 
//   Data:  21/05/2005                                                                 // 
//                                                                    Adoro programar! // 
//*************************************************************************************// 

// primeiro vamos definir as informaes para o servidor SMTP 
$servidor= "smtp.seu_servidor.com.br";     // nome do servidor 
$porta   = 25;                             // nmero da porta, o email sempre fica na 25 
$timeout = 10;                             // tempo para expirar a tentativa de conexo 
// agora vem as informaes para validao do usurio no servidor descrito acima 
$login   = "seu_login@seu_servidor.com.br"; // em alguns servidores basta o seu_login 
$senha   = "sua_senha";                     // senha no formato texto 

// informaes para o email 
$de      = "origem@seu_servidor.com.br";
$deNome  = "Origem";
$para    = "destino@seu_servidor.com.br";
$paraNome= "Destino";
$corpo   = "Mensagem com autenticao OK<br>bysica";
$assunto = "assunto";
$data    = 'Date: '.date('r',time());       // este formato  exigncia do servidor 

// abre conexo com o servidor SMTP utilizando a funo fsockopen 
// o @ no incio  para ocultar as mensagens de erro automticas 
// porque vamos manipular os erros atravs das variveis $errno e $errstr 
$conexao = @fsockopen($servidor, $porta, $errno, $errstr, $timeout);
// se houve erro a varivel $errno vem ligada 
if ($errno){ 
    echo "Erro ao conectar ao $servidor na $porta: ".$errstr;
    exit;
} 
// se no h erro continua o script 
echo "conectou com: ".$conexao."<br>";
echo "conexo: ".fgets($conexao, 1024)."<br>";

// handshaking com o servidor 
fputs($conexao,"EHLO $servidor\r\n", 512);
do{ 
   $buffer = fgets($conexao, 512);
   echo "loop: ".$buffer."<br>";
}while (substr($buffer, -8) != '8BITMIME');

// solicita autenticao (se quiser enviar email sem autenticar  s tirar esta parte) 
fputs($conexao,"AUTH LOGIN\r\n", 512)."<br>";            // envia a requisio 
echo "auth login: ".fgets($conexao, 512)."<br>";         // recebe a resposta e imprime 
fputs($conexao,base64_encode($login)."\r\n", 512)."<br>";// envia a requisio 
echo "login: ".fgets($conexao, 512)."<br>";              // recebe a resposta e imprime 
fputs($conexao,base64_encode($senha)."\r\n", 512)."<br>";// envia a requisio 
echo "senha: ".fgets($conexao, 512)."<br>";              // recebe a resposta e imprime 

// estabelece um email de retorno para receber msgs de erro 
fputs($conexao, "MAIL FROM:<$de>\r\n", 512);
echo "mail from: ".fgets($conexao, 512)."<br>";

// estabelece o endereo de envio 
fputs($conexao, "RCPT TO:<$para>\r\n", 512);
echo "recpt to: ".fgets($conexao, 512)."<br>";

// comanda o inicio do email a ser enviado 
fputs($conexao, "DATA\r\n", 512);
echo "data: ".fgets($conexao, 512)."<br>";
// infomaes do email a ser enviado 
fputs($conexao, "MIME-Version: 1.0\r\n");
fputs($conexao, "Content-Type: text/html;charset=iso-8859-1\r\n");
fputs($conexao, "Date: $data\r\n");
fputs($conexao, "From: $deNome <$de>\r\n");
fputs($conexao, "To: $paraNome <$para>\r\n");
fputs($conexao, "Subject: $assunto\r\n");
fputs($conexao, "\r\n");
fputs($conexao, "$corpo\r\n.\r\n");
echo "email: ".fgets($conexao, 512)."<br>";

// encerra a conexo com o servidor 
fputs($conexao, "QUIT\r\n", 512);
echo "quit: ".fgets($conexao, 512)."<br>";
fclose($conexao);
exit;
?>